## r-cran-threejs 0.3.1+dfsg

=== DESCRIPTION ===
Package: threejs
Type: Package
Title: Interactive 3D Scatter Plots, Networks and Globes
Description: Create interactive 3D scatter plots, network plots, and
    globes using the 'three.js' visualization library (<https://threejs.org>).
Version: 0.3.1
Date: 2017-08-11
Authors@R: c(
    person("B. W.", "Lewis", role=c("aut","cre"), email="blewis@illposed.net"),
    person(given="Three.js authors", role="cph", comment="three.js JavaScript library"),
    person("Alexey", "Stukalov", role=("ctb"), email="astukalov@gmail.com"),
    person("Yihui","Xie", role=("ctb"), email="xie@yihui.name"),
    person("Andreas", "Briese", role=("ctb"), email="ab@edutoolbox.de"),
    person("B.",  "Thieurmel", role=("ctb"), email="bthieurmel@gmail.com")
    )
URL: https://bwlewis.github.io/rthreejs
BugReports: https://github.com/bwlewis/rthreejs/issues
License: MIT + file LICENSE
Depends: R (>= 3.0.0), igraph (>= 1.0.0)
Imports: htmlwidgets (>= 0.3.2), base64enc, crosstalk, methods, stats
Suggests: maps
Enhances: knitr, shiny
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2017-08-12 13:04:06 UTC; blewis
Author: B. W. Lewis [aut, cre],
  Three.js authors [cph] (three.js JavaScript library),
  Alexey Stukalov [ctb],
  Yihui Xie [ctb],
  Andreas Briese [ctb],
  B. Thieurmel [ctb]
Maintainer: B. W. Lewis <blewis@illposed.net>
Repository: CRAN
Date/Publication: 2017-08-13 05:42:40 UTC

## r-cran-threejs 0.3.1%2Bdfsg

=== debian/control ===
Source: r-cran-threejs
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-igraph (>= 1.0.0),
               r-cran-htmlwidgets,
               r-cran-base64enc,
               r-cran-crosstalk
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-threejs
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-threejs.git
Homepage: https://cran.r-project.org/package=threejs

Package: r-cran-threejs
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R interactive 3D scatter plots, networks and globes
 This package provides a GNU R interface the 'three.js' visualization
 library to create interactive 3D scatter plots, network plots.
 See https://threejs.org.

## r-cran-threejs 0.3.1+dfsg

=== debian/changelog ===
r-cran-threejs (0.3.1+dfsg-2) unstable; urgency=medium

  * Rebuild for R 3.5 transition

 -- Andreas Tille <tille@debian.org>  Tue, 05 Jun 2018 18:08:56 +0200

r-cran-threejs (0.3.1+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #898742)

 -- Andreas Tille <tille@debian.org>  Tue, 15 May 2018 17:31:02 +0200

## r-cran-threejs 0.3.3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
-               r-cran-igraph (>= 1.0.0),
+               r-cran-igraph,
                r-cran-htmlwidgets,
                r-cran-base64enc,
                r-cran-crosstalk
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-threejs
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-threejs.git
 Homepage: https://cran.r-project.org/package=threejs

## r-cran-threejs 0.3.3+dfsg

=== DESCRIPTION ===
Package: threejs
Type: Package
Title: Interactive 3D Scatter Plots, Networks and Globes
Description: Create interactive 3D scatter plots, network plots, and
    globes using the 'three.js' visualization library (<https://threejs.org>).
Version: 0.3.3
Date: 2020-01-19
Authors@R: c(
    person("B. W.", "Lewis", role=c("aut","cre","cph"), email="blewis@illposed.net"),
    person(given="Three.js authors", role="cph", comment="three.js library"),
    person(given="jQuery Foundation", role="cph", comment="jQuery library"),
    person("Alexey", "Stukalov", role=("ctb"), email="astukalov@gmail.com"),
    person("Yihui","Xie", role=("ctb"), email="xie@yihui.name"),
    person("Andreas", "Briese", role=("ctb"), email="ab@edutoolbox.de"),
    person("B.", "Thieurmel", role=("ctb"), email="bthieurmel@gmail.com")
    )
URL: https://bwlewis.github.io/rthreejs
BugReports: https://github.com/bwlewis/rthreejs/issues
License: MIT + file LICENSE
Depends: R (>= 3.0.0), igraph (>= 1.0.0)
Imports: htmlwidgets (>= 0.3.2), base64enc, crosstalk, methods, stats
Suggests: maps
Enhances: knitr, shiny
Encoding: UTF-8
RoxygenNote: 7.0.2
NeedsCompilation: no
Packaged: 2020-01-21 15:03:57 UTC; blewis
Author: B. W. Lewis [aut, cre, cph],
  Three.js authors [cph] (three.js library),
  jQuery Foundation [cph] (jQuery library),
  Alexey Stukalov [ctb],
  Yihui Xie [ctb],
  Andreas Briese [ctb],
  B. Thieurmel [ctb]
Maintainer: B. W. Lewis <blewis@illposed.net>
Repository: CRAN
Date/Publication: 2020-01-21 15:50:03 UTC

=== debian/changelog ===
r-cran-threejs (0.3.3+dfsg-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 21:45:20 +0000

r-cran-threejs (0.3.3+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 18 May 2020 11:03:06 +0200

r-cran-threejs (0.3.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * rename debian/tests/control.autodep8 to debian/tests/control
    (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jan 2020 21:31:54 +0100

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
  https://cran.r-project.org/src/contrib/threejs_([-\d.]*)\.tar\.gz

## r-cran-threejs 0.3.4+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Title: Interactive 3D Scatter Plots, Networks and Globes
 Description: Create interactive 3D scatter plots, network plots, and
     globes using the 'three.js' visualization library (<https://threejs.org>).
-Version: 0.3.3
-Date: 2020-01-19
+Version: 0.3.4
+Date: 2025-04-19
 Authors@R: c(
     person("B. W.", "Lewis", role=c("aut","cre","cph"), email="blewis@illposed.net"),
     person(given="Three.js authors", role="cph", comment="three.js library"),
@@ -14,7 +14,7 @@
     person("Andreas", "Briese", role=("ctb"), email="ab@edutoolbox.de"),
     person("B.", "Thieurmel", role=("ctb"), email="bthieurmel@gmail.com")
     )
-URL: https://bwlewis.github.io/rthreejs
+URL: https://bwlewis.github.io/rthreejs/
 BugReports: https://github.com/bwlewis/rthreejs/issues
 License: MIT + file LICENSE
 Depends: R (>= 3.0.0), igraph (>= 1.0.0)
@@ -22,9 +22,9 @@
 Suggests: maps
 Enhances: knitr, shiny
 Encoding: UTF-8
-RoxygenNote: 7.0.2
+RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2020-01-21 15:03:57 UTC; blewis
+Packaged: 2025-04-21 13:32:46 UTC; blewis
 Author: B. W. Lewis [aut, cre, cph],
   Three.js authors [cph] (three.js library),
   jQuery Foundation [cph] (jQuery library),
@@ -34,4 +34,4 @@
   B. Thieurmel [ctb]
 Maintainer: B. W. Lewis <blewis@illposed.net>
 Repository: CRAN
-Date/Publication: 2020-01-21 15:50:03 UTC
+Date/Publication: 2025-04-21 14:10:02 UTC

=== debian/changelog ===
r-cran-threejs (0.3.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 11 Feb 2026 21:11:59 +0900

=== debian/control ===
Source: r-cran-threejs
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-igraph,
 r-cran-htmlwidgets,
 r-cran-base64enc,
 r-cran-crosstalk,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-threejs
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-threejs.git
Homepage: https://cran.r-project.org/package=threejs
Rules-Requires-Root: no

Package: r-cran-threejs
Architecture: all
Depends:
 ${R:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R interactive 3D scatter plots, networks and globes
 This package provides a GNU R interface the 'three.js' visualization
 library to create interactive 3D scatter plots, network plots.
 See https://threejs.org.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-maps,
